StaleExceptionPresenter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.presenters.StaleExceptionPresenter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.presenters
Class StaleExceptionPresenter

    java.lang.Object
      org.hyperic.hq.ui.presenters.StaleExceptionPresenter

All Implemented Interfaces:
  org.apache.tapestry.error.StaleLinkExceptionPresenter, org.apache.tapestry.error.StaleSessionExceptionPresenter

    public class StaleExceptionPresenter

extends java.lang.Object
implements org.apache.tapestry.error.StaleSessionExceptionPresenter, org.apache.tapestry.error.StaleLinkExceptionPresenter

Constructor Summary
`StaleExceptionPresenter()`

Method Summary
`void` | `presentStaleLinkException(org.apache.tapestry.IRequestCycle cycle, org.apache.tapestry.StaleLinkException cause)`
`void` | `presentStaleSessionException(org.apache.tapestry.IRequestCycle cycle, org.apache.tapestry.StaleSessionException cause)`
`void` | `setPageName(java.lang.String pageName)`
`void` | `setRequest(javax.servlet.http.HttpServletRequest req)`
`void` | `setResponseRenderer(org.apache.tapestry.services.ResponseRenderer responseRenderer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaleExceptionPresenter

    public StaleExceptionPresenter()

Method Detail

### presentStaleLinkException

    public void presentStaleLinkException(org.apache.tapestry.IRequestCycle cycle,
                                          org.apache.tapestry.StaleLinkException cause)
                                   throws java.io.IOException

  Specified by:
    `presentStaleLinkException` in interface `org.apache.tapestry.error.StaleLinkExceptionPresenter`
  Throws:
    `java.io.IOException`

### presentStaleSessionException

    public void presentStaleSessionException(org.apache.tapestry.IRequestCycle cycle,
                                             org.apache.tapestry.StaleSessionException cause)
                                      throws java.io.IOException

  Specified by:
    `presentStaleSessionException` in interface `org.apache.tapestry.error.StaleSessionExceptionPresenter`
  Throws:
    `java.io.IOException`

### setPageName

    public void setPageName(java.lang.String pageName)

### setRequest

    public void setRequest(javax.servlet.http.HttpServletRequest req)

### setResponseRenderer

    public void setResponseRenderer(org.apache.tapestry.services.ResponseRenderer responseRenderer)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.